
#include <priorities_xin_xatom/AtomEPort__priorities_xin_xatom__Port.hpp>
#include <priorities_xin_xatom/PV__priorities_xin_xatom__Port.hpp>

AtomEPort__priorities_xin_xatom__Port::AtomEPort__priorities_xin_xatom__Port(const string &name, bool hasEarlyUpdate) :
    PortItf(name, ATOM_EXPORT),
    Port(name, ATOM_EXPORT),
    AtomExportPort(name, hasEarlyUpdate),
    PT__priorities_xin_xatom__Port(name, ATOM_EXPORT),
    mIsReset(false) {
}

AtomEPort__priorities_xin_xatom__Port::~AtomEPort__priorities_xin_xatom__Port(){
}
